Retrieve a Refund
Retrieves refund details by Refund ID. The refund must belong to the Payment Intent in the path. Otherwise, the request is handled as "not found".
bearerAuthAuthorizationBearer <token>The access_token obtained from POST /oauth2/token. Header format: Authorization: Bearer {accessToken}.
paymentIntentId*stringPayment Intent ID, such as pi_MNOL0POUV8IDPXCD
refundId*stringRefund ID, such as re_IFWNVQP0O6EHB6KV
Returns the Refund object.
application/json- response
code?integerBusiness status code
message?stringtraceId?stringRequest trace ID. Provide it when you contact technical support
data?The Refund object.
curl -X GET 'https://api.test.stabofx.com/openapi/v1/payment-intents/string/refunds/string'{ "code": 200, "message": "OK", "traceId": "6a0190c46101992e3a3a6ffc70be7b0a", "data": { "refundId": "re_IFWNVQP0O6EHB6KV", "paymentIntentId": "pi_TZA3DEDJUNZLTUJ2", "amount": "10.00", "currency": "USD", "status": "COMPLETED", "reason": "REQUESTED_BY_CUSTOMER", "notes": "Customer requested a partial refund.", "metadata": {}, "createdAt": "2026-05-11T17:18:41+08:00", "completedAt": "2026-05-11T18:02:10+08:00" }}Create a Refund POST
Creates a refund for the specified Payment Intent. Partial and full refunds are supported. If you omit `amount`, the remaining refundable amount is refunded. A refund first enters `PENDING_APPROVAL` and is executed after operations approves it. Returns HTTP 200 on success.
Query balance GET
Query the available balance of an account.